/// <reference types="react" />
import { WrapperProps, WrapperChildProps } from './types';
export interface DockProps extends WrapperProps<DockChildProps> {
    readonly lastChildFill?: boolean;
}
export declare type DockDirection = 'top' | 'right' | 'bottom' | 'left';
export interface DockChildProps extends WrapperChildProps {
    readonly dock?: DockDirection;
    readonly fill?: boolean;
}
export declare const DockChild: (props: DockChildProps) => JSX.Element;
export declare const Dock: ({ lastChildFill, ...props }: DockProps) => JSX.Element;
