/// <reference types="react" />
import { WrapperProps, WrapperChildProps } from './types';
export interface CanvasProps extends WrapperProps<CanvasChildProps> {
}
export interface CanvasChildProps extends WrapperChildProps {
    readonly canvasTop?: number | string;
    readonly canvasRight?: number | string;
    readonly canvasBottom?: number | string;
    readonly canvasLeft?: number | string;
    readonly canvasZIndex?: number;
}
export declare const CanvasChild: (props: CanvasChildProps) => JSX.Element;
export declare const Canvas: (props: CanvasProps) => JSX.Element;
