import React from 'react';
import { SequenceWrapperProps, WrapperChildProps } from './types';
export declare const createFlexDirectionCalculator: (defaultProps: SequenceWrapperProps) => (props: SequenceWrapperProps) => "column" | "row" | "row-reverse";
export declare const addKeysAndIdsWithPrefixToElements: (prefix: string) => (elements: ReadonlyArray<React.ReactElement<WrapperChildProps>>) => React.ReactElement<WrapperChildProps>[];
export declare const formatSpacingValue: (value?: string | number | undefined) => string | number | undefined;
export declare const valueOrDefault: (defaultValue: string) => (value?: {} | undefined) => {};
